Name:           perl-NTLM
Version:        1.09
Release:        20
Summary:        An NTLM authentication module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/NTLM
Source0:        https://cpan.metacpan.org/authors/id/N/NB/NBEBOUT/NTLM-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker) perl(Digest::HMAC_MD5)
BuildRequires:  perl(Test::More) perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the NTLM authentication mechanism.
It can be used to perform NTLM style authentication for any desired protocol.

%package help
Summary:        Documentation for perl-NTLM

%description help
Documentation for perl-NTLM.

%prep
%autosetup -n NTLM-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%buildroot
find %buildroot -type f -name .packlist -exec rm -f {} \;
find %buildroot -depth -type d -exec rmdir {} 2>/dev/null \;

%{__chmod} -Rf a+rX,u+w,g-w,o-w %buildroot/*

%check
make test

%files
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc Changes README
%{_mandir}/man3/*


%changelog
* Fri Oct 25 2019 Zaiwang Li <lizaiwang1@huawei.com> - 1.09-20
- Init Package
